RSiteSearch {utils} | R Documentation

## Search for Key Words or Phrases in Documentation

### Description

Search for key words or phrases in help pages, vignettes or task views, using the search engine at http://search.r-project.org and view them in a web browser.

### Usage

    RSiteSearch(string,
                restrict = c("functions", "vignettes", "views"),
                format = c("normal", "short"),
                sortby = c("score", "date:late", "date:early",
                           "subject", "subject:descending",
                           "from", "from:descending",
                           "size", "size:descending"),
                matchesPerPage = 20)

### Arguments

`string` | A character string specifying word(s) or a phrase to search. If the words are to be searched as one entity, enclose all words in braces (see the first example).
`restrict` | a character vector, typically of length greater than one. Values can be abbreviated. Possible areas to search in: `functions` for help pages, `views` for task views and `vignettes` for package vignettes.
`format` | `normal` or `short` (no excerpts); can be abbreviated.
`sortby` | character string (can be abbreviated) indicating how to sort the search results: (`score`, `date:late` for sorting by date with latest results first, `date:early` for earliest first, `subject` for subject in alphabetical order, `subject:descending` for reverse alphabetical order, `from` or `from:descending` for sender (when applicable), `size` or `size:descending` for size.)
`matchesPerPage` | How many items to show per page.

### Details

This function is designed to work with the search site at http://search.r-project.org, and depends on that site continuing to be made available (thanks to Jonathan Baron and the School of Arts and Sciences of the University of Pennsylvania).

Unique partial matches will work for all arguments. Each new browser window will stay open unless you close it.

### Value

(Invisibly) the complete URL passed to the browser, including the query string.

### Author(s)

Andy Liaw and Jonathan Baron

### See Also

`help.search`, `help.start` for local searches.

`browseURL` for how the help file is displayed.

### Examples

    # need Internet connection
    RSiteSearch("{logistic regression}") # matches exact phrase
    Sys.sleep(5) # allow browser to open, take a quick look
    ## Search in vignettes and store the query-string:
    fullquery <- RSiteSearch("lattice", restrict = "vignettes")
    fullquery # a string of ~ 110 characters

[Package utils version 3.4.2 Index]